Bug 91806 - Kernel 2.4.20-13.9 will not install on Epia
Kernel 2.4.20-13.9 will not install on Epia
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-28 09:47 EDT by Arnaud MOURONVAL
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 11:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnaud MOURONVAL 2003-05-28 09:47:13 EDT
Description of problem:

My Epia motherboard runs kernel-2.4.20-9.
RHN advises me to upgrade the kernel. Unfortunately, this new kernel
(kernel-2.4.20-13.9.i686.rpm) will not install on my machine :

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9.i686.rpm

How reproducible:
rpm -Fvh kernel-2.4.20-13.9.i686.rpm on an Epia system
    
Actual results:
# rpm -Fvh kernel-2.4.20-13.9.i686.rpm
Preparing...                ########################################### [100%]
        package kernel-2.4.20-13.9 is intended for a i686 architecture
# uname -a
Linux olympic.starway 2.4.20-9 #1 Wed Apr 2 13:15:01 EST 2003 i686 i686 i386
GNU/Linux
# rpm -qi kernel
Name        : kernel                       Relocations: (not relocateable)
Version     : 2.4.20                            Vendor: Red Hat, Inc.
Release     : 8                             Build Date: Thu 13 Mar 2003 11:16:44
PM CET
Install Date: Thu 10 Apr 2003 12:08:50 AM CEST      Build Host:
stripples.devel.redhat.com
Group       : System Environment/Kernel     Source RPM: kernel-2.4.20-8.src.rpm
Size        : 30668822                         License: GPL
Signature   : DSA/SHA1, Fri 14 Mar 2003 12:20:11 AM CET, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The Linux kernel (the core of the Linux operating system).
Description :
The kernel package contains the Linux kernel (vmlinuz), the core of
the Red Hat Linux operating system. The kernel handles the basic
functions of the operating system: memory allocation, process
allocation, device input and output, etc.
Name        : kernel                       Relocations: (not relocateable)
Version     : 2.4.20                            Vendor: Red Hat, Inc.
Release     : 9                             Build Date: Wed 02 Apr 2003 08:23:20
PM CEST
Install Date: Thu 10 Apr 2003 12:45:41 AM CEST      Build Host:
daffy.perf.redhat.com
Group       : System Environment/Kernel     Source RPM: kernel-2.4.20-9.src.rpm
Size        : 29557694                         License: GPL
Signature   : DSA/SHA1, Mon 07 Apr 2003 05:11:21 PM CEST, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The Linux kernel (the core of the Linux operating system).
Description :
The kernel package contains the Linux kernel (vmlinuz), the core of
the Red Hat Linux operating system. The kernel handles the basic
functions of the operating system: memory allocation, process
allocation, device input and output, etc.
Comment 1 Arnaud MOURONVAL 2003-05-28 10:00:39 EDT
My motherboard is a Via Epia-M 9000

Just in case, here is the output of dmesg :

# dmesg
Linux version 2.4.20-9 (bhcompile@daffy.perf.redhat.com) (gcc version 3.2.2
20030313 (Red Hat Linux 3.2.2-10)) #1 Wed Apr 2 13:15:01 EST 2003
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000dff0000 (usable)
 BIOS-e820: 000000000dff0000 - 000000000dff3000 (ACPI NVS)
 BIOS-e820: 000000000dff3000 - 000000000e000000 (ACPI data)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
223MB LOWMEM available.
On node 0 totalpages: 57328
zone(0): 4096 pages.
zone(1): 53232 pages.
zone(2): 0 pages.
Kernel command line: ro root=LABEL=/
Initializing CPU#0
Detected 932.914 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1861.22 BogoMIPS
Memory: 221092k/229312k available (1222k kernel code, 6044k reserved, 993k data,
116k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Dentry cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode cache hash table entries: 16384 (order: 5, 131072 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer-cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 6, 262144 bytes)
CPU: L1 I Cache: 64K (32 bytes/line), D cache 64K (32 bytes/line)
CPU: L2 Cache: 64K (32 bytes/line)
CPU:     After generic, caps: 00803135 80803035 00000000 00000000
CPU:             Common caps: 00803135 80803035 00000000 00000000
CPU: Centaur VIA C3 Ezra stepping 09
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfb260, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Using IRQ router default [1106/3123] at 00:00.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16)
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
pty: 512 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
FDC 0 is a post-1991 82077
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 00:11.1
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt8235 (rev 00) IDE UDMA133 controller on pci00:11.1
    ide0: BM-DMA at 0xe000-0xe007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xe008-0xe00f, BIOS settings: hdc:DMA, hdd:pio
hda: IC35L060AVVA07-0, ATA DISK drive
blk: queue c03964a0, I/O limit 4095Mb (mask 0xffffffff)
hdc: CD-224E, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: host protected area => 1
hda: 120103200 sectors (61493 MB) w/1863KiB Cache, CHS=7476/255/63, UDMA(100)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 32768)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 145k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 116k freed
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
ehci-hcd 00:10.3: VIA Technologies, Inc. USB 2.0
ehci-hcd 00:10.3: irq 11, pci mem ce844000
usb.c: new USB bus registered, assigned bus number 1
ehci-hcd 00:10.3: USB 2.0 enabled, EHCI 1.00, driver 2003-Jan-22
hub.c: USB hub found
hub.c: 6 ports detected
usb-uhci.c: $Revision: 1.275 $ time 13:20:54 Apr  2 2003
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xd400, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
hub.c: port 5 over-current change
usb-uhci.c: USB UHCI at I/O 0xd800, IRQ 10
usb-uhci.c: Detected 2 ports
hub.c: port 6 over-current change
usb.c: new USB bus registered, assigned bus number 3
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: USB UHCI at I/O 0xdc00, IRQ 5
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 4
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
usb.c: registered new driver hiddev
usb.c: registered new driver hid
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,2), internal journal
Adding Swap: 522104k swap-space (priority -1)
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
ohci1394: $Rev: 693 $ Ben Collins <bcollins@debian.org>
ohci1394_0: OHCI-1394 1.0 (PCI): IRQ=[10]  MMIO=[df003000-df0037ff]  Max
Packet=[2048]
ieee1394: SelfID completion called outside of bus reset!
ieee1394: Host added: Node[00:1023]  GUID[0040630000029925]  [Linux OHCI-1394]
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
parport0: Printer, Hewlett-Packard HP LaserJet 6L
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (1791 buckets, 14328 max) - 292 bytes per conntrack
via-rhine.c:v1.10-LK1.1.15  November-22-2002  Written by Donald Becker
  http://www.scyld.com/network/via-rhine.html
divert: allocating divert_blk for eth0
eth0: VIA VT6102 Rhine-II at 0xe800, 00:40:63:c5:8e:54, IRQ 11.
eth0: MII PHY found at address 1, status 0x7869 advertising 05e1 Link 0021.
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
00:14.0: 3Com PCI 3c905C Tornado at 0xec00. Vers LK1.1.18-ac
 00:01:03:41:7b:69, IRQ 10
  product code 484e rev 00.3 date 02-24-01
  Internal config register is 1800000, transceivers 0xa.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 782d.
  Enabling bus-master transmits and whole-frame receives.
00:14.0: scatter/gather enabled. h/w checksums enabled
divert: allocating divert_blk for eth1
CSLIP: code copyright 1989 Regents of the University of California
PPP generic driver version 2.4.2
divert: not allocating divert_blk for non-ethernet device ppp0
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
parport0: Printer, Hewlett-Packard HP LaserJet 6L
lp0: using parport0 (polling).
lp0: console ready
mtrr: 0xd8000000,0x2000000 overlaps existing 0xd8000000,0x800000
Comment 2 Arjan van de Ven 2003-05-28 10:03:35 EDT
afaik not-latest epias are i586 not i686....
Comment 3 Arnaud MOURONVAL 2003-05-28 10:13:51 EDT
For information :
- Package "kernel-2.4.20-8.i686.rpm" has been installed by RH 9 ISOs
installation program.
- Package "kernel-2.4.20-9.i686.rpm" has been installed by the update feature of
RH 9.
- System description on RHN :
  Initial Registration Parameters:
  OS: Red Hat Linux
  Release: 9
  CPU Arch: i686-redhat-linux

If you have administrative access to RHN :
https://rhn.redhat.com/network/systems/details/index.pxt?sid=1002631898

Either old kernels believe my system is i686, either the newest one believes my
machine is i586.
Comment 4 Arjan van de Ven 2003-05-28 10:18:47 EDT
for privacy reasons I don't have access to RHN data like that.

What determines i586 vs i686 is the cmov instruction.
Could you check if the "flags" line in /proc/cpuinfo lists the cmov flag ?
Comment 5 Arnaud MOURONVAL 2003-05-28 10:30:42 EDT
No cmov flag :

# cat /proc/cpuinfo
processor       : 0
vendor_id       : CentaurHauls
cpu family      : 6
model           : 8
model name      : VIA C3 Ezra
stepping        : 9
cpu MHz         : 932.914
cache size      : 64 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu de tsc msr cx8 mtrr pge mmx 3dnow
bogomips        : 1861.22
Comment 6 Arnaud MOURONVAL 2003-06-03 05:51:47 EDT
I managed to install the latest kernel if I choose the package
kernel-2.4.20-13.9.i586.rpm.

I don't know how the command 'uname' relies on the kernel to display the
processor type, but it still thinks my machine is a i686 :
# uname -p
i686
Comment 7 Alan Cox 2003-06-05 11:27:03 EDT
The EPIA (pre Nemeiah) is a model 6 CPU but lacks cmov which we use in "686"
rpms so uses 386/586 packages. Its doing the right thing.

Note You need to log in before you can comment on or make changes to this bug.